_Camera Struct Reference
Collaboration diagram for _Camera:
[legend]

## Data Fields

CameraPrivateLibrary * | pl
CameraPrivateCore * | pc
Those should be accessed only by the camera driver.
GPPort * | port
CameraFilesystem * | fs
CameraFunctions * | functions

## Field Documentation

## pc

CameraPrivateCore* _Camera::pc

Private data of the core of gphoto2.

Referenced by gp_camera_exit(), gp_camera_free(), gp_camera_get_abilities(), gp_camera_get_port_speed(), gp_camera_ref(), gp_camera_set_abilities(), gp_camera_set_port_speed(), gp_camera_stop_timeout(), and gp_camera_unref().

## pl

CameraPrivateLibrary* _Camera::pl

Private data of camera libraries.

The documentation for this struct was generated from the following file:

- gphoto2/gphoto2-camera.h